package com.mortals.xhx.module.feedback.model;

import java.util.List;
import com.mortals.xhx.module.feedback.model.FeedbackAnswerOptionEntity;
/**
* 绩效问题回答选项查询对象
*
* @author zxfei
* @date 2023-07-05
*/
public class FeedbackAnswerOptionQuery extends FeedbackAnswerOptionEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 回答问题id号 */
    private Long answerIdStart;

    /** 结束 回答问题id号 */
    private Long answerIdEnd;

    /** 增加 回答问题id号 */
    private Long answerIdIncrement;

    /** 回答问题id号列表 */
    private List <Long> answerIdList;

    /** 回答问题id号排除列表 */
    private List <Long> answerIdNotList;

    /** 开始 选项id号 */
    private Long optionIdStart;

    /** 结束 选项id号 */
    private Long optionIdEnd;

    /** 增加 选项id号 */
    private Long optionIdIncrement;

    /** 选项id号列表 */
    private List <Long> optionIdList;

    /** 选项id号排除列表 */
    private List <Long> optionIdNotList;

    /** 选项内容 */
    private List<String> optionContentList;

    /** 选项内容排除列表 */
    private List <String> optionContentNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FeedbackAnswerOptionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FeedbackAnswerOptionQuery> andConditionList;

    public FeedbackAnswerOptionQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 回答问题id号
    * @return answerIdStart
    */
    public Long getAnswerIdStart(){
        return this.answerIdStart;
    }

    /**
    * 设置 开始 回答问题id号
    * @param answerIdStart
    */
    public void setAnswerIdStart(Long answerIdStart){
        this.answerIdStart = answerIdStart;
    }

    /**
    * 获取 结束 回答问题id号
    * @return $answerIdEnd
    */
    public Long getAnswerIdEnd(){
        return this.answerIdEnd;
    }

    /**
    * 设置 结束 回答问题id号
    * @param answerIdEnd
    */
    public void setAnswerIdEnd(Long answerIdEnd){
        this.answerIdEnd = answerIdEnd;
    }

    /**
    * 获取 增加 回答问题id号
    * @return answerIdIncrement
    */
    public Long getAnswerIdIncrement(){
        return this.answerIdIncrement;
    }

    /**
    * 设置 增加 回答问题id号
    * @param answerIdIncrement
    */
    public void setAnswerIdIncrement(Long answerIdIncrement){
        this.answerIdIncrement = answerIdIncrement;
    }

    /**
    * 获取 回答问题id号
    * @return answerIdList
    */
    public List<Long> getAnswerIdList(){
        return this.answerIdList;
    }

    /**
    * 设置 回答问题id号
    * @param answerIdList
    */
    public void setAnswerIdList(List<Long> answerIdList){
        this.answerIdList = answerIdList;
    }

    /**
    * 获取 回答问题id号
    * @return answerIdNotList
    */
    public List<Long> getAnswerIdNotList(){
        return this.answerIdNotList;
    }

    /**
    * 设置 回答问题id号
    * @param answerIdNotList
    */
    public void setAnswerIdNotList(List<Long> answerIdNotList){
        this.answerIdNotList = answerIdNotList;
    }


    /**
    * 获取 开始 选项id号
    * @return optionIdStart
    */
    public Long getOptionIdStart(){
        return this.optionIdStart;
    }

    /**
    * 设置 开始 选项id号
    * @param optionIdStart
    */
    public void setOptionIdStart(Long optionIdStart){
        this.optionIdStart = optionIdStart;
    }

    /**
    * 获取 结束 选项id号
    * @return $optionIdEnd
    */
    public Long getOptionIdEnd(){
        return this.optionIdEnd;
    }

    /**
    * 设置 结束 选项id号
    * @param optionIdEnd
    */
    public void setOptionIdEnd(Long optionIdEnd){
        this.optionIdEnd = optionIdEnd;
    }

    /**
    * 获取 增加 选项id号
    * @return optionIdIncrement
    */
    public Long getOptionIdIncrement(){
        return this.optionIdIncrement;
    }

    /**
    * 设置 增加 选项id号
    * @param optionIdIncrement
    */
    public void setOptionIdIncrement(Long optionIdIncrement){
        this.optionIdIncrement = optionIdIncrement;
    }

    /**
    * 获取 选项id号
    * @return optionIdList
    */
    public List<Long> getOptionIdList(){
        return this.optionIdList;
    }

    /**
    * 设置 选项id号
    * @param optionIdList
    */
    public void setOptionIdList(List<Long> optionIdList){
        this.optionIdList = optionIdList;
    }

    /**
    * 获取 选项id号
    * @return optionIdNotList
    */
    public List<Long> getOptionIdNotList(){
        return this.optionIdNotList;
    }

    /**
    * 设置 选项id号
    * @param optionIdNotList
    */
    public void setOptionIdNotList(List<Long> optionIdNotList){
        this.optionIdNotList = optionIdNotList;
    }


    /**
    * 获取 选项内容
    * @return optionContentList
    */
    public List<String> getOptionContentList(){
        return this.optionContentList;
    }

    /**
    * 设置 选项内容
    * @param optionContentList
    */
    public void setOptionContentList(List<String> optionContentList){
        this.optionContentList = optionContentList;
    }

    /**
    * 获取 选项内容
    * @return optionContentNotList
    */
    public List<String> getOptionContentNotList(){
        return this.optionContentNotList;
    }

    /**
    * 设置 选项内容
    * @param optionContentNotList
    */
    public void setOptionContentNotList(List<String> optionContentNotList){
        this.optionContentNotList = optionContentNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public FeedbackAnswerOptionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public FeedbackAnswerOptionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public FeedbackAnswerOptionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public FeedbackAnswerOptionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public FeedbackAnswerOptionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public FeedbackAnswerOptionQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  回答问题id号
    * @param answerId
    */
    public FeedbackAnswerOptionQuery answerId(Long answerId){
	    setAnswerId(answerId);
		return this;
    }
	
	 /**
    * 设置 开始 回答问题id号
    * @param answerIdStart
    */
    public FeedbackAnswerOptionQuery answerIdStart(Long answerIdStart){
		this.answerIdStart = answerIdStart;
		return this;
    }

    /**
    * 设置 结束 回答问题id号
    * @param answerIdEnd
    */
    public FeedbackAnswerOptionQuery answerIdEnd(Long answerIdEnd){
		this.answerIdEnd = answerIdEnd;
		return this;
    }

    /**
    * 设置 增加 回答问题id号
    * @param answerIdIncrement
    */
    public FeedbackAnswerOptionQuery answerIdIncrement(Long answerIdIncrement){
		this.answerIdIncrement = answerIdIncrement;
		return this;
    }

    /**
    * 设置 回答问题id号
    * @param answerIdList
    */
    public FeedbackAnswerOptionQuery answerIdList(List<Long> answerIdList){
        this.answerIdList = answerIdList;
		return this;
        }

        /**
        * 设置 回答问题id号
        * @param answerIdNotList
        */
        public FeedbackAnswerOptionQuery answerIdNotList(List<Long> answerIdNotList){
        this.answerIdNotList = answerIdNotList;
        return this;
        }

    /**
    * 设置  选项id号
    * @param optionId
    */
    public FeedbackAnswerOptionQuery optionId(Long optionId){
	    setOptionId(optionId);
		return this;
    }
	
	 /**
    * 设置 开始 选项id号
    * @param optionIdStart
    */
    public FeedbackAnswerOptionQuery optionIdStart(Long optionIdStart){
		this.optionIdStart = optionIdStart;
		return this;
    }

    /**
    * 设置 结束 选项id号
    * @param optionIdEnd
    */
    public FeedbackAnswerOptionQuery optionIdEnd(Long optionIdEnd){
		this.optionIdEnd = optionIdEnd;
		return this;
    }

    /**
    * 设置 增加 选项id号
    * @param optionIdIncrement
    */
    public FeedbackAnswerOptionQuery optionIdIncrement(Long optionIdIncrement){
		this.optionIdIncrement = optionIdIncrement;
		return this;
    }

    /**
    * 设置 选项id号
    * @param optionIdList
    */
    public FeedbackAnswerOptionQuery optionIdList(List<Long> optionIdList){
        this.optionIdList = optionIdList;
		return this;
        }

        /**
        * 设置 选项id号
        * @param optionIdNotList
        */
        public FeedbackAnswerOptionQuery optionIdNotList(List<Long> optionIdNotList){
        this.optionIdNotList = optionIdNotList;
        return this;
        }


	/**
    * 设置 选项内容
    * @param optionContent
    */
    public FeedbackAnswerOptionQuery optionContent(String optionContent){
        setOptionContent(optionContent);
		return this;
    }

    /**
    * 设置 选项内容
    * @param optionContentList
    */
    public FeedbackAnswerOptionQuery optionContentList(List<String> optionContentList){
        this.optionContentList = optionContentList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public FeedbackAnswerOptionQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public FeedbackAnswerOptionQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public FeedbackAnswerOptionQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public FeedbackAnswerOptionQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public FeedbackAnswerOptionQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public FeedbackAnswerOptionQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public FeedbackAnswerOptionQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public FeedbackAnswerOptionQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public FeedbackAnswerOptionQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public FeedbackAnswerOptionQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public FeedbackAnswerOptionQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public FeedbackAnswerOptionQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public FeedbackAnswerOptionQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public FeedbackAnswerOptionQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FeedbackAnswerOptionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FeedbackAnswerOptionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FeedbackAnswerOptionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FeedbackAnswerOptionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}